org.keycloak.authentication.authenticators.x509

## Enum X509AuthenticatorConfigModel.MappingSourceType

- java.lang.Object
- - java.lang.Enum<X509AuthenticatorConfigModel.MappingSourceType>
  - - org.keycloak.authentication.authenticators.x509.X509AuthenticatorConfigModel.MappingSourceType

- All Implemented Interfaces:
    Serializable, Comparable<X509AuthenticatorConfigModel.MappingSourceType>
  Enclosing class:
    X509AuthenticatorConfigModel

      public static enum X509AuthenticatorConfigModel.MappingSourceType
      extends Enum<X509AuthenticatorConfigModel.MappingSourceType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERTIFICATE_PEM`
    `ISSUERDN`
    `SERIALNUMBER`
    `SERIALNUMBER_ISSUERDN`
    `SHA256_THUMBPRINT`
    `SUBJECTALTNAME_EMAIL`
    `SUBJECTALTNAME_OTHERNAME`
    `SUBJECTDN`
    `SUBJECTDN_CN`
    `SUBJECTDN_EMAIL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static X509AuthenticatorConfigModel.MappingSourceType` | `parse(String name)`
    `static X509AuthenticatorConfigModel.MappingSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static X509AuthenticatorConfigModel.MappingSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERIALNUMBER

          public static final X509AuthenticatorConfigModel.MappingSourceType SERIALNUMBER

    - #### ISSUERDN

          public static final X509AuthenticatorConfigModel.MappingSourceType ISSUERDN

    - #### SUBJECTDN_CN

          public static final X509AuthenticatorConfigModel.MappingSourceType SUBJECTDN_CN

    - #### SUBJECTDN_EMAIL

          public static final X509AuthenticatorConfigModel.MappingSourceType SUBJECTDN_EMAIL

    - #### SUBJECTALTNAME_EMAIL

          public static final X509AuthenticatorConfigModel.MappingSourceType SUBJECTALTNAME_EMAIL

    - #### SUBJECTALTNAME_OTHERNAME

          public static final X509AuthenticatorConfigModel.MappingSourceType SUBJECTALTNAME_OTHERNAME

    - #### SUBJECTDN

          public static final X509AuthenticatorConfigModel.MappingSourceType SUBJECTDN

    - #### SHA256_THUMBPRINT

          public static final X509AuthenticatorConfigModel.MappingSourceType SHA256_THUMBPRINT

    - #### SERIALNUMBER_ISSUERDN

          public static final X509AuthenticatorConfigModel.MappingSourceType SERIALNUMBER_ISSUERDN

    - #### CERTIFICATE_PEM

          public static final X509AuthenticatorConfigModel.MappingSourceType CERTIFICATE_PEM

  - ### Method Detail

    - #### values

          public static X509AuthenticatorConfigModel.MappingSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (X509AuthenticatorConfigModel.MappingSourceType c : X509AuthenticatorConfigModel.MappingSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static X509AuthenticatorConfigModel.MappingSourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### parse

          public static X509AuthenticatorConfigModel.MappingSourceType parse(String name)
                                                                      throws IllegalArgumentException,
                                                                             IndexOutOfBoundsException

      Throws:
        `IllegalArgumentException`
        `IndexOutOfBoundsException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.